<template>
  <div class="bg-white relative">
    <swiper
      ref="mySwiper"
      :options="swiperOptions"
      class="container mx-auto w-4/5"
      :navigation="true"
    >
      <swiper-slide
        v-for="(logo, index) in logo_list"
        :key="index"
        class="flex justify-center"
      >
        <img :src="logo" />
      </swiper-slide>
    </swiper>
    <div
      id="scroll_left"
      class="absolute swiper-button-prev"
      slot="button-prev"
    ></div>
    <div
      id="scroll_right"
      class="absolute swiper-button-next"
      slot="button-next"
    ></div>
  </div>
</template>

<script>
import { Swiper, SwiperSlide, directive } from "vue-awesome-swiper"
import "swiper/css/swiper.css"

export default {
  components: {
    Swiper,
    SwiperSlide,
  },
  directives: {
    swiper: directive,
  },

  data() {
    return {
      swiperOptions: {
        slidesPerView: 1,
        slidesPerGroup: 1,
        navigation: {
          nextEl: ".swiper-button-next",
          prevEl: ".swiper-button-prev",
        },
        breakpoints: {
          728: {
            slidesPerView: 4,
            slidesPerGroup: 2,
          },
          1025: {
            slidesPerView: 7,
            slidesPerGroup: 3,
          },
        },
      },
      logo_list: [
        require("~/assets/images/logo_list/logo1.svg"),
        require("~/assets/images/logo_list/logo2.svg"),
        require("~/assets/images/logo_list/logo3.svg"),
        require("~/assets/images/logo_list/logo4.svg"),
        require("~/assets/images/logo_list/logo5.svg"),
        require("~/assets/images/logo_list/logo6.svg"),
        require("~/assets/images/logo_list/logo7.svg"),
        require("~/assets/images/logo_list/logo8.svg"),
        require("~/assets/images/logo_list/logo9.svg"),
        require("~/assets/images/logo_list/logo10.svg"),
        require("~/assets/images/logo_list/logo11.svg"),
        require("~/assets/images/logo_list/logo12.svg"),
        require("~/assets/images/logo_list/logo13.svg"),
        require("~/assets/images/logo_list/logo14.svg"),
        require("~/assets/images/logo_list/logo15.svg"),
        require("~/assets/images/logo_list/logo16.svg"),
      ],
    }
  },
}
</script>
<style>
.swiper-wrapper {
  display: flex !important;
  align-items: center !important;
}
#scroll_right {
  transform: rotate(180deg);
  cursor: pointer;
  right: 5%;
}
#scroll_left {
  cursor: pointer;
  left: 5%;
}

.swiper-button-next {
  width: 40px;
  height: 40px;
  background-image: url("../assets/images/logo_list/prev_btn.svg");
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: center;
}
.swiper-button-next::after {
  display: none;
}
.swiper-button-prev {
  width: 40px;
  height: 40px;
  background-image: url("../assets/images/logo_list/prev_btn.svg");
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: center;
}
.swiper-button-prev::after {
  display: none;
}
</style>
